Skip to main content
GET
/
{apiVersion}
/
{apiProvince}
/
facet_counts
Get Facets Of Listing
curl --request GET \
  --url https://api.getbuildify.com/{apiVersion}/{apiProvince}/facet_counts \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.getbuildify.com/{apiVersion}/{apiProvince}/facet_counts"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.getbuildify.com/{apiVersion}/{apiProvince}/facet_counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"{\n  \"amenities\": {\n    \"Party Room\": 373,\n    \"Fitness Centre\": 266,\n    \"Lounge\": 229,\n    \"Yoga Studio\": 228,\n    \"Concierge\": 200,\n    \"Exercise Fitness Room\": 185,\n    \"BBQ Area\": 177,\n    \"Games Room\": 136,\n    \"Pool\": 133,\n    \"Theatre Room\": 130,\n    \"Terrace\": 127,\n    \"Guest Suite\": 113,\n    \"Outdoor Terrace\": 106,\n    \"Rooftop Terrace\": 105,\n    \"Sauna\": 105,\n    \"Guest Suites\": 99,\n    \"Billiards Room\": 91,\n    \"24 Hour Concierge Service\": 88,\n    \"Meeting Room\": 82,\n    \"Lobby Lounge\": 80,\n    \"Pilates Studio\": 78,\n    \"Library\": 76,\n    \"Bar\": 75,\n    \"24 Hour Concierge\": 74,\n    \"Steam Room\": 74,\n    \"Dining Area\": 73,\n    \"Pet Spa\": 72,\n    \"Mail Room\": 71,\n    \"Lobby\": 67,\n    \"Spa\": 65,\n    \"Co Working Spaces\": 64,\n    \"Fitness Studio\": 63,\n    \"Parcel Room\": 62,\n    \"Yoga Room\": 62,\n    \"Fireplace Lounge\": 56,\n    \"Gym\": 55,\n    \"Dining Room\": 52,\n    \"Media Room\": 52,\n    \"Outdoor Swimming Pool\": 51,\n    \"Party Room With Kitchen\": 49,\n    \"Catering Kitchen\": 48,\n    \"Hot Tub\": 48,\n    \"Courtyard\": 46,\n    \"Private Dining Room\": 46,\n    \"Change Rooms\": 45,\n    \"Kids Play Area\": 45,\n    \"Sun Deck\": 45,\n    \"Concierge Attended Lobby\": 42,\n    \"Indoor Pool\": 41,\n    \"Kids Play Room\": 40,\n    \"Board Room\": 39,\n    \"Movie Theater\": 39,\n    \"Pet Wash Station\": 38,\n    \"Social Lounge\": 38,\n    \"Kitchen\": 37,\n    \"Cabanas\": 36,\n    \"Garden\": 34,\n    \"Outdoor Lounge\": 33,\n    \"Parcel Storage\": 33,\n    \"Whirlpool\": 32,\n    \"Outdoor BBQ Dining Spaces\": 31,\n    \"Private Dining\": 31,\n    \"Yoga Area\": 31,\n    \"Parking\": 30,\n    \"Bike Storage\": 29,\n    \"Fitness Facilities\": 29,\n    \"Kids Zone\": 28,\n    \"Roof Top Terraces\": 28,\n    \"Fitness Area\": 27,\n    \"Multi Purpose Room\": 25,\n    \"Outdoor Dining\": 25,\n    \"Rooftop Lounge\": 25,\n    \"Business Center\": 24,\n    \"Dog Wash Area\": 24,\n    \"Basketball Court\": 23,\n    \"Dog Run\": 23,\n    \"Fitness Room\": 23,\n    \"Private Dinning Area\": 23,\n    \"Swimming Pool\": 23,\n    \"Childrens Play Area\": 21,\n    \"Community Garden\": 21,\n    \"Entertainment Lounge\": 21,\n    \"Chefs Kitchen\": 20,\n    \"Co Working Lounge\": 20,\n    \"Concierge Service\": 20,\n    \"Event Lounge\": 20,\n    \"Meditation Room\": 20,\n    \"Outdoor BBQ Stations\": 20,\n    \"Pet Wash Area\": 20,\n    \"Bar Lounge\": 19,\n    \"Bicycle Storage\": 19,\n    \"Massage Room\": 18,\n    \"Outdoor Lounge Area\": 18,\n    \"Wi Fi Lounge\": 18,\n    \"Fire Pits\": 17,\n    \"Golf Simulator\": 17,\n    \"Party Room Lounge Area\": 17,\n    \"Pet Grooming Room\": 17,\n    \"Cardio Room\": 16,\n    \"Caterers Kitchen\": 16\n  }\n}"
"{\n    \"requestId\": \"1675936335254643534-YXdzLWFwLXNvdXRoLTE=-d19305379fa94358ad17d1014708884396b89b597fd446eaa57a19e66c6b5957\",\n    \"message\": \"Forbidden\"\n}"
"{\n  \"requestId\": \"1675931350870397982-YXdzLXVzLWVhc3QtMQ==-e034982fd2b34c6db3a524a824a2d17ae5226b22e1064027aed0bd7a682be268\",\n  \"message\": \"No data product found. Please contact your data provider\"\n}"

Authorizations

x-api-key
string
header
required

Path Parameters

apiVersion
enum<string>
required
Available options:
v1-sandbox,
v1-lite,
v1
apiProvince
enum<string>
default:on
required
Available options:
all,
on,
bc,
ab,
mb,
nb,
nl,
ns,
pe,
qc,
sk

Query Parameters

facets
string
required

Facets to fetch, possible values can be amenities, builders, marketers, etc. It should be comma separated. See more info.

format
enum<string>

The listing format to be displayed.

Available options:
object,
list
filterQuery
string

Query to filter the listings. See more info.

Response

200

amenities
object